#! /bin/sh
#_____________________________________________________________________________#
#                                                                             #
#                         Copyright (C) 2002-2007 by                          #
#                    -- TEC-IT Datenverarbeitung GmbH --                      #
#   -- team for engineering and consulting in information technologies --     #
#                                                                             #
#                            All rights reserved.                             #
#_____________________________________________________________________________#
#                                                                             #


###############################################################################
## if tbarcodefilter is not the only printer filter then use these commands to 
## call the original filter after filtering with tbarcode

## make a temporary file for the output of tbarcodefilter = input of original filter
INPUT="$(mktemp /tmp/tbarcode.$$.XXXXXX)"

## call tbarcodefilter to insert barcode
/usr/local/share/tbarcode7/tbarcode --filter <&0  >$INPUT

## call original filter to print INPUT
#e.g. /var/lib/apsfilter/bin/ljet4-a4-auto-mono-300 <$INPUT $*
path_of_original_filter <$INPUT $*

exitvalue=$?

## remove INPUT file
rm $INPUT

exit $exitvalue
################################################################################

